Modifier
Date: 2016-06-24

java.lang.reflect

## Class Modifier

- java.lang.Object
- - java.lang.reflect.Modifier

-     public class Modifier
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABSTRACT`
    `static int` | `FINAL`
    `static int` | `INTERFACE`
    `static int` | `NATIVE`
    `static int` | `PRIVATE`
    `static int` | `PROTECTED`
    `static int` | `PUBLIC`
    `static int` | `STATIC`
    `static int` | `STRICT`
    `static int` | `SYNCHRONIZED`
    `static int` | `TRANSIENT`
    `static int` | `VOLATILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Modifier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isAbstract(int var0)`
    `static boolean` | `isFinal(int var0)`
    `static boolean` | `isInterface(int var0)`
    `static boolean` | `isNative(int var0)`
    `static boolean` | `isPrivate(int var0)`
    `static boolean` | `isProtected(int var0)`
    `static boolean` | `isPublic(int var0)`
    `static boolean` | `isStatic(int var0)`
    `static boolean` | `isStrict(int var0)`
    `static boolean` | `isSynchronized(int var0)`
    `static boolean` | `isTransient(int var0)`
    `static boolean` | `isVolatile(int var0)`
    `static String` | `toString(int var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ABSTRACT

          public static final int ABSTRACT

      See Also:
        Constant Field Values

    - #### FINAL

          public static final int FINAL

      See Also:
        Constant Field Values

    - #### INTERFACE

          public static final int INTERFACE

      See Also:
        Constant Field Values

    - #### NATIVE

          public static final int NATIVE

      See Also:
        Constant Field Values

    - #### PRIVATE

          public static final int PRIVATE

      See Also:
        Constant Field Values

    - #### PROTECTED

          public static final int PROTECTED

      See Also:
        Constant Field Values

    - #### PUBLIC

          public static final int PUBLIC

      See Also:
        Constant Field Values

    - #### STATIC

          public static final int STATIC

      See Also:
        Constant Field Values

    - #### STRICT

          public static final int STRICT

      See Also:
        Constant Field Values

    - #### SYNCHRONIZED

          public static final int SYNCHRONIZED

      See Also:
        Constant Field Values

    - #### TRANSIENT

          public static final int TRANSIENT

      See Also:
        Constant Field Values

    - #### VOLATILE

          public static final int VOLATILE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Modifier

          public Modifier()

  - ### Method Detail

    - #### isAbstract

          public static boolean isAbstract(int var0)

    - #### isFinal

          public static boolean isFinal(int var0)

    - #### isInterface

          public static boolean isInterface(int var0)

    - #### isNative

          public static boolean isNative(int var0)

    - #### isPrivate

          public static boolean isPrivate(int var0)

    - #### isProtected

          public static boolean isProtected(int var0)

    - #### isPublic

          public static boolean isPublic(int var0)

    - #### isStatic

          public static boolean isStatic(int var0)

    - #### isStrict

          public static boolean isStrict(int var0)

    - #### isSynchronized

          public static boolean isSynchronized(int var0)

    - #### isTransient

          public static boolean isTransient(int var0)

    - #### isVolatile

          public static boolean isVolatile(int var0)

    - #### toString

          public static String toString(int var0)